import {Injectable, BaseJob} from '@extollo/lib'

@Injectable()
export default class LogMessage extends BaseJob {
    async execute(): Promise<void> {
        this.logging.info('Executing LogMessage...')
        await new Promise<void>(res => {
            setTimeout(() => res(), 3000)
        })
        this.logging.success('The LogMessage job has executed!')
    }
}
